#!/bin/sh
export PATH='/usr/obj/ports/hs-enclosed-exceptions-1.0.1.1/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: enclosed-exceptions
version: 1.0.1.1
id: enclosed-exceptions-1.0.1.1-d1d777c208771b89da87984c3d6bfb4e
key: enclo_443I3ul9Mm4L6Q16OjX0NQ
license: MIT
maintainer: jmacristovao@gmail.com, michael@snoyman.com
homepage: https://github.com/jcristovao/enclosed-exceptions
synopsis: Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>
category: Control
author: Michael Snoyman, João Cristóvão
exposed: True
exposed-modules:
    Control.Exception.Enclosed
trusted: False
import-dirs: /usr/local/lib/ghc/enclosed-exceptions-1.0.1.1
library-dirs: /usr/local/lib/ghc/enclosed-exceptions-1.0.1.1
data-dir: /usr/local/share/hs-enclosed-exceptions-1.0.1.1
hs-libraries: HSenclosed-exceptions-1.0.1.1-443I3ul9Mm4L6Q16OjX0NQ
depends:
    async-2.1.0-39dbaa8053baa5d86bb55ba090d6bf66
    base-4.8.2.0-998280bdde83e17200455ba43ed33188
    deepseq-1.4.1.1-614b63b36dd6e29d2b35afff57c25311
    lifted-base-0.2.3.6-8ba247df759dc7fa13b31e6edd40286d
    monad-control-1.0.0.4-cba44b774dc5fe262db4cea629c2d0ff
    transformers-0.4.2.0-81450cd8f86b36eaa8fa0cbaf6efc3a3
    transformers-base-0.4.4-142b3afd0aa3b8485777370b30767f3e
haddock-interfaces: /usr/local/share/doc/hs-enclosed-exceptions-1.0.1.1/html/enclosed-exceptions.haddock
haddock-html: /usr/local/share/doc/hs-enclosed-exceptions-1.0.1.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
